VeoImage-to-Video
Method: POSTEndpoint: /v2/videos/generations
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
model
enum<string>
Required
Enum Values:
veo3-pro-frames
// provider-specific example normalized for English documentation
veo3-fast-frames
veo2-fast-frames
veo2-fast-components
veo3.1
// provider-specific example normalized for English documentation
veo3.1-pro
// provider-specific example normalized for English documentation
veo3.1-components
// provider-specific example normalized for English documentation
enhance_prompt
boolean
Optional
Whether to optimize the prompt. Usually false. Because veo supports only English prompts, enable this if you want Chinese input converted automatically to English.
images
array
[string]
Required
// provider-specific example normalized for English documentation
aspect_ratio
enum<string>
Optional
Enum Values:
9:16
16:9
Example
{
"prompt"
:
"string"
,
"model"
:
"veo3-pro-frames"
,
"enhance_prompt"
:
true
,
"images"
:
[
"string"
]
,
"aspect_ratio"
:
"9:16"
}Example Request
Shell
bash
curl --location --request POST '/v2/videos/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"model": "veo3-pro-frames",
"enhance_prompt": true,
"images": [
"string"
],
"aspect_ratio": "9:16"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"task_id": "f0aa213c-c09e-4e19-a0e5-c698fe48acf1"
}